Se publica Debian GNU/Linux 2.1r5

16 de febrero de 2000

Se ha publicado una actualización de la versión Debian GNU/Linux 2.1 (también conocida como slink). La nueva versión, 2.1r5, incluye tanto actualizaciones de seguridad como relacionadas con el efecto 2000.

No tenemos constancia de ningún problema relativo al efecto 2000 en 2.1r5. Si encontramos algún problema nuevo, proporcionaremos actualizaciones en http://ftp.debian.org/debian/dists/slink-updates/.

Aquí hay una lista completa de los paquetes que han cambiado en esta versión:

Actualizaciones de seguridad:

  paquete      : kernel-source-2.0.38
  versión      : 2.0.38-2
  arquitecturas: i386
  asunto       : Corregido aprovechamiento de IP.

  paquete      : nvi
  versión      : 1.79-9.1 (m68k: nvi_1.79-9.2)
  arquitecturas: i386 alpha sparc m68k
  asunto       : Corregida vulnerabilidad en nviboot. Era pobible que
                 alguien borrara archivos del directorio de root creando
                 archivos en el directorio de recuperación de nvi con
                 espacios incrustados.

  paquete      : lpr
  versión      : 0.48-0.slink2
  arquitecturas: i386 m68k alpha sparc
  asunto       : Aprovechamiento remoto.

  paquete      : apcd
  versión      : 0.6a.nr-4slink1
  arquitecturas: i386 m68k alpha sparc
  asunto       : Corregido un error de seguridad importante cuando
                 a apcd le llegaba la señal SIGUSR1.

  paquete      : htdig
  versión      : 3.1.5-0.1
  arquitecturas: i386 m68k alpha sparc
  asunto       : Los usuarios remotos podrían abusar de htsearch
                 y leer archivos que no deberían ser capaces de
                 leer.

Actualizaciones relativas al efecto 2000:

  paquete      : tetex-bin
  versión      : 0.9.981113-4
  arquitecturas: i386 alpha sparc m68k
  asunto       : y2k pbm al actualizar el índice (¿?)

  paquete      : nethack
  versión      : 3.2.3-3
  arquitecturas: i386 alpha sparc m68k
  asunto       : y2k pbm en archivos de bitácora.

  paquete      : emacs19
  versión      : 19.34-21.1
  arquitecturas: i386 (no compilado en alpha, sparc, m68k)
  asunto       : Corregido y2k en lisp/timezone.el.

  paquete      : emacs20
  versión      : 20.5a-1.99
  arquitecturas: i386 m68k sparc (no compilado en alpha)
  asunto       : Corregido y2k en lisp/timezone.el.

  paquete      : pilot-manager
  versión      : 1.106-2.1
  arquitecturas: todas
  asunto       : Añadido parche y2k del error nº 53831.

  paquete      : calamaris
  versión      : 2.8-4
  arquitecturas: todas
  asunto       : Corregido un error feo y2k: la fecha debería
                 mostrarse como '00' en lugar de como '100'.

  paquete      : dtaus
  versión      : 0.3-2
  arquitecturas: i386 m68k sparc alpha
  asunto       : Aplicada corrección y2k *suspiro* [sic]

  paquete      : fml
  versión      : 3.0+beta.20000106-0slink1
  arquitecturas: todas
  asunto       : Corregidos algunos problemas y2k.

  paquete      : sendfile
  versión      : 2.1-8.1
  arquitecturas: i386 m68k sparc alpha
  asunto       : Corregida rutina de fecha, elimina un error y2k (error nº 53817)

  paquete      : hyperlatex
  versión      : 2.3.1-3.0.1
  arquitecturas: todas
  asunto       : Corregido un error y2k en una exp. regular de fecha.

  paquete      : webalizer
  versión      : 1.20-5
  arquitecturas: i386 m68k sparc alpha
  asunto       : Corrección y2k (algunos camibos en la cadena de formato
                 de printf: %d -> %02d)

  paquete      : leafnode
  versión      : 1.6.2-3
  arquitecturas: i386 sparc m68k alpha
  asunto       : Corrección y2k.

  paquete      : nntp
  versión      : 1.5.12.1-7slink1
  arquitecturas: i386 m68k alpha (no sparc)
  asunto       : Corrección y2k.

  paquete      : wml
  versión      : 1.6.8-1
  arquitecturas: i386 m68k sparc alpha
  asunto       : Corrección y2k.

  paquete      : cnews
  versión      : cr.g7-12.1
  arquitecturas: i386 m68k sparc alpha
  asunto       : Corrección y2k para las rutinas de análisis de fecha.

  paquete      : eperl
  versión      : 2.2.14-0.3
  arquitecturas: i386 m68k alpha (no sparc)
  asunto       : Integrado parche y2k del error nº 54278.

  paquete      : groff
  versión      : 1.15.1.11a.7.Y2K-1
  arquitecturas: i386 sparc alpha m68k
  asunto       : Corrección y2k.

  paquete      : inn
  versión      : 1.7.2-4.2
  arquitecturas: i386 m68k sparc alpha
  asunto       : Añadido parche del error nº 53813 para corregir
                 un error y2k.

  paquete      : mush
  versión      : 7.2.5unoff2-7.0.1
  arquitecturas: i386 m68k (no alpha, no sparc)
  asunto       : Aplicado parche del error nº 53935 para corregir
                 un error y2k.

  paquete      : adjtimex
  versión      : 1.6-2.2
  arquitecturas: i386 sparc alpha m68k
  asunto       : Añadido parche para corregir nº 54119 (problema de
                 visualización y2k)

  paquete      : im
  versión      : 1:100-3
  arquitecturas: todas
  asunto       : Problema y2k: los mensajes sin campos «Date:» (fecha)
                 se procesarán de forma incorrecta en 2000 o posterior.

  paquete      : isdnutils
  versión      : 1:3.0-12slink14
  arquitecturas: i386 alpha (no sparc, no m68k)
  asunto       : Corrección y2k para isdnlog (la fecha recibida de la línea
                 ISDN no se interpretaba correctamente)

  paquete      : tetex-base
  versión      : 0.9.981113-2
  arquitecturas: todas
  asunto       : Corrección y2k para dinbrief.cls. dinbrief.cls mostraba 100
                 como el año actual en 2000 (cierra el error nº 54385)

  paquete      : mirror
  versión      : 2.9-13slink15
  arquitecturas: todas
  asunto       : Corregido y2k pbm en mensajes de bitácora.

  paquete      : perl
  versión      : 5.004.04-7.0.1 (sparc: 5.004.04-7.1.1)
  arquitecturas: i386 alpha sparc m68k
  asunto       : Escrito un parche para corregir un error y2k
                 en pod2man (cierra el error nº 54802)

  paquete      : slrn
  versión      : 0.9.5.7-16.0.9.5.3.6
  arquitecturas: i386 sparc alpha m68k
  asunto       : Las versiones anteriores a la 0.9.5.4 no son acordes
                 con y2k.

  paquete      : xinetd
  versión      : 2.2.1-8.1
  arquitecturas: i386 sparc m68k alpha
  asunto       : Las versiones anteriores a la 0.9.5.4 no son acordes
                 con y2k.

  paquete      : cbb
  versión      : 0.8.1-1
  arquitecturas: todas
  asunto       : Actualizado a la última versión del autor original para
                 corregir un error y2k (nº 53846).

  paquete      : filerunner
  versión      : 2.5.1-0.1
  arquitecturas: i386 m68k alpha (no sparc)
  asunto       : Correcciones y2k (error nº 54274)

  paquete      : http-analyze
  versión      : 1.9e-4.2
  arquitecturas: i386 sparc alpha m68k
  asunto       : Modificado http-analyse.c para corregir un error y2k
                 (nº 54029)

  paquete      : libwww-perl
  versión      : 5.36-1.1
  arquitecturas: todas
  asunto       : Corregido un error y2k; la función HTTP::Date::str2time
                 no funcionaba con fechas >= 2000 (nº 54202)

Otras actualizaciones:

  paquete      : cvs
  versión      : 1.10.7-1.99.slink.y2k.1
  arquitecturas: i386 m68k alpha sparc
  asunto       : Corregido pbm introducido en 2.1r4 (el paquete usaba /usr/share/doc)

  paquete      : vflib2
  versión      : 2.24.2-2.99.slink.1
  arquitecturas: i386 m68k alpha sparc
  asunto       : Corregido pbm introducido en 2.1r4 (el paquete usaba /usr/share/doc)

  paquete      : gs
  versión      : 5.10-3.99.slink.0
  arquitecturas: i386 sparc
  asunto       : Corregido pbm introducido en 2.1r4 (el paquete usaba /usr/share/doc)

  paquete      : lprng
  versión      : 3.5.2-2.1
  arquitecturas: sparc only
  asunto       : Corregido problema de dependencias que imposiblitaba la creación
                 de los CDs de sparc.

  paquete      : boot-floppies
  versión      : 2.1.9.2
  arquitecturas: m68k only
  asunto       : Tenga en cuenta la versión impar; no es una versión oficial -
                 actualización de las imágenes de arranque de m68k (la versión
                 anterior era inutilizable)